"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = grabUserDbFullName;
function grabUserDbFullName({ dbSlug, user, userId }) {
    const finalUserId = (user === null || user === void 0 ? void 0 : user.id) || userId;
    if (!finalUserId || !dbSlug)
        throw new Error(`Couldn't grab full DB name. Missing parameters finalUserId || dbSlug`);
    if (dbSlug.match(/[^a-zA-Z0-9-_]/)) {
        throw new Error(`Invalid Database slug`);
    }
    return `datasquirel_user_${finalUserId}_${dbSlug}`;
}
