import sqlGenerator from "../../functions/dsql/sql/sql-generator";
import { DsqlCrudParam, PostReturn } from "../../types";
export type DsqlCrudReturn = (PostReturn & {
    queryObject?: ReturnType<Awaited<typeof sqlGenerator>>;
    count?: number;
    batchPayload?: any[][] | null;
}) | null;
export default function dsqlCrud<T extends {
    [key: string]: any;
} = {
    [key: string]: any;
}>(params: DsqlCrudParam<T>): Promise<DsqlCrudReturn>;
