import { DATASQUIREL_LoggedInUser, UserType } from "../../../types";
type Param = {
    user?: DATASQUIREL_LoggedInUser | UserType;
    userId?: string | number | null;
    appDir?: string;
};
export default function grabDirNames(param?: Param): {
    appDir: string;
    schemasDir: string;
    userDirPath: string | undefined;
    mainShemaJSONFilePath: string;
    mainDbTypeDefFile: string;
    tempDirName: string;
    defaultTableFieldsJSONFilePath: string;
    usersSchemaDir: string;
    targetUserSchemaDir: string | undefined;
    userSchemaMainJSONFilePath: string | undefined;
    userPrivateMediaDir: string | undefined;
    userPrivateExportsDir: string | undefined;
    userPrivateSQLExportsDir: string | undefined;
    userPrivateTempSQLExportsDir: string | undefined;
    userPrivateTempJSONSchemaFilePath: string | undefined;
    userPrivateDbExportZipFileName: string;
    userPrivateDbExportZipFilePath: string | undefined;
    userPrivateDbImportZipFileName: string;
    userPrivateDbImportZipFilePath: string | undefined;
    dbNginxLoadBalancerConfigFile: string;
    dockerComposeFile: string;
    dockerComposeFileAlt: string;
    testDockerComposeFile: string;
    testDockerComposeFileAlt: string;
    extraDockerComposeFile: string;
    extraDockerComposeFileAlt: string;
    siteSetupFile: string;
    envFile: string;
    testEnvFile: string;
    userPublicMediaDir: string | undefined;
    userTempSQLFilePath: string | undefined;
};
export {};
