"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = replaceDatasquirelDbName;
function replaceDatasquirelDbName({ str, userId, }) {
    const dbNamePrefix = process.env.DSQL_USER_DB_PREFIX;
    const userNameRegex = new RegExp(`${dbNamePrefix}\\d+_`, "g");
    const newPrefix = `${dbNamePrefix}${userId}_`;
    return str.replace(userNameRegex, newPrefix);
}
