"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = slugToCamelTitle;
/**
 * # Slug to Camel case Title
 */
function slugToCamelTitle(text) {
    if (text) {
        let addArray = text.split("-").filter((item) => item !== "");
        let camelArray = addArray.map((item) => {
            return (item.substring(0, 1).toUpperCase() +
                item.substring(1).toLowerCase());
        });
        let parsedAddress = camelArray.join(" ");
        return parsedAddress;
    }
    else {
        return null;
    }
}
